Va bene scherzare con Python che viene fornito con Ubuntu?

Ho appena installato Ubuntu 14.04 LTS e sono nuovo su Linux. So che Ubuntu 14.04 LTS viene fornito con Python 3.4.0. Va bene se installo pip3 e installo pacchetti (ad esempio django, numpy, ecc.)? Posso anche aggiornarlo a Python 3.4.1?

Come ho già chiesto e sostenuto , suggerirei di usare un virtualenv . Sembra più lavoro ma in realtà è un po ‘meno a lungo termine.

  • Come posso installare Django per Python 3.x? Questo contiene tutto il necessario per iniziare.
  • easy_install / pip o apt-get
  • Come installare pip per python 3 in Ubuntu 12.04 LTS
  • Trascina i pacchetti Python installati in fase di aggiornamento quando si evidenzia davvero il dolore che si ottiene usando pip con i pacchetti del sito del sistema. Non farlo

Io uso pip sulla mia macchina tutto il tempo, installando pacchetti globalmente o localmente funziona bene. Non ho mai provato ad aggiornare la versione di Python fornita con Ubuntu, anche se non vedo perché non è ansible. Virtualenv è tuo amico. È ansible installare pip3 con apt-get install python3-pip e quindi utilizzare pip per installare qualsiasi cosa da lì.